//
// Copyright (c) 2014 Samsung Electronics Co., Ltd.
//
// Licensed under the Flora License, Version 1.0 (the License);
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://floralicense.org/license/
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an AS IS BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

#include <dali-toolkit/public-api/enums.h>

namespace Dali
{

namespace Toolkit
{

bool IsVertical(ControlOrientation::Type orientation)
{
  return (orientation == ControlOrientation::Up ||
          orientation == ControlOrientation::Down);
}

bool IsHorizontal(ControlOrientation::Type orientation)
{
  return (orientation == ControlOrientation::Left ||
          orientation == ControlOrientation::Right);
}

} // namespace Toolkit

} // namespace Dali
